package com.wecloud.im.sdk;

import java.net.URI;
import java.net.URISyntaxException;

public class WecloudImClientBuilder {
    public WecloudIm build(String endpoint, String appKey, String appSecret) {
        try {
            URI uri = new URI(endpoint);
            return new WecloudImClient(uri, appKey, appSecret);
        } catch (URISyntaxException e) {
            throw new IllegalArgumentException(e);
        }
    }
}
